#include <stdio.h>
#include <math.h>
int main ()
{
  int broj, cifra0, cifra1, cifra2, cifra3, proizvod;
  printf("Unesite prirodan cetvorocifren broj\n");
  scanf("%i", &broj);
  proizvod = 1;
  if ( broj < 1000 || broj > 9999) 
    printf("Rezultat je: -1\n"); 
  else
  {
    cifra0 = broj % 10;		
    cifra1 = (broj / 10) % 10;
    cifra2 = (broj / 100) % 10;
    cifra3 = broj / 1000;
    if (cifra0 % 2 == 0)	 
      proizvod *= cifra0;
    if (cifra1 % 2 == 0)
      proizvod *= cifra1;
     if (cifra2 % 2 == 0)
      proizvod *= cifra2;
    if (cifra3 % 2 == 0)
      proizvod *= cifra3;
    printf("Rezultat je: %i\n", proizvod); 
  }  
  return 0;
}